NISSHINBO


Terms of Use

Recommended browsers

We recommend that you use Internet Explorer 6(or above) or firefox3.x(or above) or Safari3.x(or above) to view this Website. You may not be able to view it with older browsers.

Required plug-ins

Adobe Reader

To view PDF files, you need Acrobat Reader. We recommend Acrobat Reader.

Adobe Reader

To view Flash files, you need Macromedia Flash Player. We recommend Macromedia Flash Player.

April 2009

Page Top